<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class PackingListObject
{

    /** @var null|string */
    private $referenceId;

    /** @var array */
    private $packages;

    /**
     * PackingListObject constructor.
     * @param null|string $referenceId
     * @param array $packages
     */
    public function __construct(?string $referenceId, array $packages)
    {
        $this->referenceId = $referenceId;
        $this->packages = $packages;
    }


    /**
     * @return null|string
     */
    public function getReferenceId(): ? string
    {
        return $this->referenceId;
    }

    /**
     * @return array
     */
    public function getPackages(): array
    {
        return $this->packages;
    }




}